From f8df1bed74a624d66613017bdd6a94c3fd7b693a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 20:44:36 +0000
Subject: [PATCH 1172/2232] Condense an iter + collect into from_iter


---

diff --git a/gen/src/namespace_organizer.rs b/gen/src/namespace_organizer.rs
index 59a58ad..aaf0722 100644
--- a/gen/src/namespace_organizer.rs
+++ b/gen/src/namespace_organizer.rs
@@ -1,6 +1,7 @@
 use crate::syntax::Api;
 use proc_macro2::Ident;
 use std::collections::BTreeMap;
+use std::iter::FromIterator;
 
 pub struct NamespaceEntries<'a> {
     entries: Vec<&'a Api>,
@@ -9,7 +10,7 @@ pub struct NamespaceEntries<'a> {
 
 impl<'a> NamespaceEntries<'a> {
     pub fn new(apis: &'a [Api]) -> Self {
-        let api_refs = apis.iter().collect::<Vec<_>>();
+        let api_refs = Vec::from_iter(apis);
         Self::sort_by_inner_namespace(api_refs, 0)
     }
 

